GDB (xrefs)

Classes | Functions | Variables
/tmp/gdb-8.1/gdb/ser-event.c File Reference
`#include "defs.h"`
`#include "ser-event.h"`
`#include "serial.h"`
`#include "common/filestuff.h"`

Go to the source code of this file.

## Classes
struct | serial_event_state

## Functions
static int | serial_event_open (struct serial *scb, const char *name)
static void | serial_event_close (struct serial *scb)
struct serial_event * | make_serial_event (void)
int | serial_event_fd (struct serial_event *event)
void | serial_event_set (struct serial_event *event)
void | serial_event_clear (struct serial_event *event)

## Variables
static const struct serial_ops | serial_event_ops

## Function Documentation

## ◆ make_serial_event()

struct serial_event* make_serial_event | ( | void |  | ) |

Definition at line 163 of file ser-event.c.

References serial_event_ops, and serial_open_ops().

Referenced by async_init_signals(), gdbpy_initialize_events(), and initialize_async_signal_handlers().

## ◆ serial_event_clear()

void serial_event_clear | ( | struct serial_event * | event | ) |

Definition at line 202 of file ser-event.c.

References serial::fd, read(), and serial::state.

Referenced by gdbpy_run_events(), invoke_async_signal_handlers(), and quit_serial_event_clear().

## ◆ serial_event_close()

static void serial_event_close | ( | struct serial * | scb | ) |
| static

Definition at line 94 of file ser-event.c.

References serial::fd, serial::state, serial_event_state::write_fd, and xfree().

## ◆ serial_event_fd()

int serial_event_fd | ( | struct serial_event * | event | ) |

Definition at line 171 of file ser-event.c.

References serial::fd.

Referenced by gdbpy_initialize_events(), initialize_async_signal_handlers(), and quit_serial_event_fd().

## ◆ serial_event_open()

static int serial_event_open | ( | struct serial * | scb,
|  | const char * | name
| ) |  |
| static

Definition at line 52 of file ser-event.c.

References serial::fd, gdb_pipe_cloexec(), internal_error(), serial::state, serial_event_state::write_fd, and XNEW.

## ◆ serial_event_set()

void serial_event_set | ( | struct serial_event * | event | ) |

Definition at line 181 of file ser-event.c.

References serial::state, and serial_event_state::write_fd.

Referenced by gdbpy_post_event(), mark_async_signal_handler(), and quit_serial_event_set().

## Variable Documentation

## ◆ serial_event_ops

const struct serial_ops serial_event_ops
| static

Initial value:
=
{
"event",
serial_event_open,
serial_event_close,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
}
serial_event_close
static void serial_event_close(struct serial *scb)
Definition: ser-event.c:94
serial_event_open
static int serial_event_open(struct serial *scb, const char *name)
Definition: ser-event.c:52

Definition at line 131 of file ser-event.c.

Referenced by make_serial_event().